# Mailcow-CheckMK

## CheckMK Special Agent for Mailcow

Monitors various aspects of a Mailcow instance:
Email domains with quota usage, number of mailboxes, number of aliases
Mailboxes with quota usage, number of messages, last logins via IMAP/POP3/SMTP

## Caveats:
Tested only with dockerized versions of Mailcow
Tested with Mailcow version 2022-07a and higher

Please feel free to add other working environments via review.

## Version history:

2023/09/22:     1.1.4   Bugfix for the last bugfix :-)
2023/09/22:     1.1.3   Bugfix for usage calculation if quota is not set (mailboxes)
2023/09/10:     1.1.2   Checks for Solr status added
2023/08/27:     1.0.0   Section "mailcow_mailboxes" completed
2023/08/26:     0.2.2   Section "mailcow_domains" completed
2023/08/21:     0.1.0   Section "mailcow_info" completed
2023/08/20:     0.0.1   Special agent completed 

## Examples how the services look like:

Services Overview:
![Services Overview](images/Mailcow-Services-Overview.png)

Service Details:

![Service Detail Info](images/Mailcow-Info-Details.png)

![Service Detail Domain](images/Mailcow-Domains-Details.png)

![Service Detail User](images/Mailcow-Users-Details.png)
